Index: src/sas/sascalc/dataloader/readers/cansas_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 3beacab4c80f27b702d6ba9b73b6c204aaad98e7)
+++ src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision a2573fc73089491616b4d4927af0ff74fe545777)
@@ -263,4 +263,5 @@
                 elif tagname == 'I' and isinstance(self.current_dataset, plottable_1D):
                     unit_list = unit.split("|")
+
                     if len(unit_list) > 1:
                         self.current_dataset.yaxis(unit_list[0].strip(),
@@ -268,7 +269,11 @@
                     else:
                         self.current_dataset.yaxis("Intensity", unit)
+
                     self.current_dataset.y = np.append(self.current_dataset.y, data_point)
+                    print data_point
+
                 elif tagname == 'Idev' and isinstance(self.current_dataset, plottable_1D):
                     self.current_dataset.dy = np.append(self.current_dataset.dy, data_point)
+
                 elif tagname == 'Q':
                     unit_list = unit.split("|")
